RandomSeedTable (Colt 1.2.0 - API Specification)
Keywords: cern.jet.random.engine.RandomSeedTable class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cern.jet.random.engine
Class RandomSeedTable

    java.lang.Object
      cern.jet.random.engine.RandomSeedTable

public class RandomSeedTable
extends Object

(Seemingly gigantic) table of good seeds for pseudo-random number generators.

Implementation:

This is a port of `SeedTable.h` used in CLHEP 1.4.0 (C++). CLHEP's implementation, in turn, is part of GEANT 4, a C++ simulation toolkit for High Energy Physics. Geant4, in turn, took the table from the original FORTRAN77 implementation of the HEP CERN Library routine RECUSQ. Each sequence has a period of 10**9 numbers.

Version:
  1.0, 09/24/99

Field Summary
`static int` | `COLUMNS` The number of columns of the matrix (currently COLUMNS = 2).

Method Summary
`static int` | `getSeedAtRowColumn(int row, int column)` Returns a deterministic seed from a (seemingly gigantic) matrix of predefined seeds.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COLUMNS

    public static final int COLUMNS

  The number of columns of the matrix (currently COLUMNS = 2).

  See Also:
    Constant Field Values

Method Detail

### getSeedAtRowColumn

    public static int getSeedAtRowColumn(int row,
                                         int column)

  Returns a deterministic seed from a (seemingly gigantic) matrix of predefined seeds.

  Parameters:
    `row` - should (but need not) be in [0,Integer.MAX_VALUE].
    `column` - shoould (but need not) be in [0,SeedTable.COLUMNS-1].
  Returns:
    the seed at the indicated matrix position.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jump to the Colt Homepage